%define srcname	odfpy

Name:		python-odf
Version:	1.4.2
Release:	%mkrel 2
Summary:	Python2 library for manipulating OpenDocument files
Group:		Development/Python
License:	GPLv2+
URL:		https://github.com/eea/odfpy/wiki
Source0:	https://github.com/eea/odfpy/archive/refs/tags/release-%{version}.tar.gz
BuildArch:	noarch

%description
Odfpy aims to be a complete API for OpenDocument in Python. Unlike
other more convenient APIs, this one is essentially an abstraction
layer just above the XML format. The main focus has been to prevent
the programmer from creating invalid documents. It has checks that
raise an exception if the programmer adds an invalid element, adds an
attribute unknown to the grammar, forgets to add a required attribute
or adds text to an element that doesn't allow it.

These checks and the API itself were generated from the RelaxNG
schema, and then hand-edited. Therefore the API is complete and can
handle all ODF constructions, but could be improved in its
understanding of data types.

%package -n python3-odf
Summary:	Python3 library for manipulating OpenDocument files
Group:		Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(python3)
Recommends:	python-odf-tools
Recommends:	python-odf-doc
Provides:       python3-odf = %{version}-%{release}
Obsoletes:      python3-odfpy < 1.3.6-2
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-odf
Odfpy aims to be a complete API for OpenDocument in Python. Unlike
other more convenient APIs, this one is essentially an abstraction
layer just above the XML format. The main focus has been to prevent
the programmer from creating invalid documents. It has checks that
raise an exception if the programmer adds an invalid element, adds an
attribute unknown to the grammar, forgets to add a required attribute
or adds text to an element that doesn't allow it.

These checks and the API itself were generated from the RelaxNG
schema, and then hand-edited. Therefore the API is complete and can
handle all ODF constructions, but could be improved in its
understanding of data types.

%package -n python-odf-doc
Summary:	documentation and examples for python-odf and python3-odf
Group:		Development/Python

%description -n python-odf-doc
Odfpy is a library to read and write OpenDocument v. 1.1 files.

%package -n python-odf-tools
Summary:	Python API and tools to manipulate OpenDocument files
Group:		Development/Python
Requires:	python3-odf = %{version}-%{release}
Obsoletes:	python-odf < %{version}-%{release}
Obsoletes:      python3-odfpy < 1.3.6-2

%description -n python-odf-tools
Odfpy is a library to read and write OpenDocument v. 1.1 files.

%prep
%setup -q -n %{srcname}-release-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files odf

sed -i '/#!\/usr\/bin\/python/d' %{buildroot}%{python3_sitelib}/odf/*.py

%files -n python3-odf -f %{pyproject_files}


%files -n python-odf-doc
%doc examples contrib

%files -n python-odf-tools
%{_mandir}/man1/*
%{_bindir}/*



%changelog
* Tue Dec 19 2023 tv <tv> 1.4.2-2.mga10
+ Revision: 2019300
- Rebuild for python 3.12

* Thu Nov 09 2023 papoteur <papoteur> 1.4.2-1.mga10
+ Revision: 2005369
- add tarball
- fix name
+ neoclust <neoclust>
- New version 	1.4.2

* Wed Mar 23 2022 umeabot <umeabot> 1.4.1-4.mga9
+ Revision: 1822405
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 1.4.1-3.mga9
+ Revision: 1773681
- Rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 1.4.1-2.mga9
+ Revision: 1705483
- rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.4.1-1.mga8
+ Revision: 1626375
- new version 1.4.1

* Sun Feb 16 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1531571
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 1.4.0-2.mga8
+ Revision: 1440418
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 wally <wally> 1.4.0-1.mga7
+ Revision: 1355708
- new version 1.4.0

* Sat Jan 12 2019 daviddavid <daviddavid> 1.3.6-4.mga7
+ Revision: 1355435
- really obsoleted python(2,3)-odfpy

* Wed Jan 09 2019 tv <tv> 1.3.6-3.mga7
+ Revision: 1352979
- rebuild with python 3.7

* Fri Nov 02 2018 kekepower <kekepower> 1.3.6-2.mga7
+ Revision: 1327742
- Fix Provides

* Fri Nov 02 2018 kekepower <kekepower> 1.3.6-1.mga7
+ Revision: 1327722
- Update to version 1.3.6
- Obsolete wrongly imported python-odfpy package
- Provide python-odfpy
- Renamed python-odf to python2-odf

* Thu Sep 20 2018 umeabot <umeabot> 1.3.1-5.mga7
+ Revision: 1289491
- Mageia 7 Mass Rebuild

* Thu Aug 03 2017 tv <tv> 1.3.1-4.mga7
+ Revision: 1134481
- rebuild for new python

* Fri Feb 19 2016 umeabot <umeabot> 1.3.1-3.mga6
+ Revision: 970444
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 1.3.1-2.mga6
+ Revision: 886711
- rebuild for python 3.5

* Thu Oct 01 2015 philippem <philippem> 1.3.1-1.mga6
+ Revision: 885575
- update to 1.3.1, add python3 as defaultfor tools, split doc and tools

* Wed Oct 15 2014 umeabot <umeabot> 0.9.6-7.mga5
+ Revision: 745627
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.6-6.mga5
+ Revision: 729203
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.6-5.mga5
+ Revision: 688189
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.6-3.mga4
+ Revision: 543871
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.6-2.mga4
+ Revision: 498997
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 0.9.6-1.mga4
+ Revision: 450256
- Update to 0.9.6

* Sun Jan 13 2013 umeabot <umeabot> 0.9.3-3.mga3
+ Revision: 379194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 pterjan <pterjan> 0.9.3-2.mga3
+ Revision: 335569
- Fix file list

* Tue Mar 29 2011 philippem <philippem> 0.9.3-1.mga1
+ Revision: 78882
- imported package python-odf

